API Guide Home (Online version only) |

# _HelperServiceMMSDetailsType Struct Reference

Collaboration diagram for _HelperServiceMMSDetailsType:

[legend]

## Detailed Description

Helpers of this Service Class send an MMS message.

"To" address(es) are passed in the 'pData' element of the main structure (HelperNotifyExecuteType)

The 'pDetails' struct member may optionally point to HelperServiceMMSDetailsType for this service class.

Definition at line 59 of file MmsHelperCommon.h.

## Data Fields

- UInt16 version
- Char * cc
- Char * subject
- Char * message
- HelperServiceMMSObjectType * object
- Char * bcc
- Boolean justSend

## Field Documentation

UInt16 version

This is currently version 1

Definition at line 61 of file MmsHelperCommon.h.

Char* cc

IN: carbon copy address string or NULL -- will be duplicated by helper if necessary; multiple addresses are separated by semicolon (ex. "john@host.com; jane@host.com")

Definition at line 63 of file MmsHelperCommon.h.

Char* subject

IN: subject string or NULL -- will be duplicated by helper if necessary (ex. "helper API")

Definition at line 68 of file MmsHelperCommon.h.

Char* message

IN: initial message body string or NULL -- will be duplicated by helper if necessary (ex. "Lets discuss the helper API tomorrow.") Message will be put on first page.

Definition at line 71 of file MmsHelperCommon.h.

HelperServiceMMSObjectType* object

IN: Head of Linked list of objects to send or NULL

Definition at line 76 of file MmsHelperCommon.h.

Char* bcc

IN: blind carbon copy address string or NULL -- will be duplicated by helper if necessary; multiple addresses are separated by semicolon (ex. "john@host.com; jane@host.com")

Definition at line 78 of file MmsHelperCommon.h.

Boolean justSend

IN: Set this to true to send without invoking any UI

Definition at line 83 of file MmsHelperCommon.h.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:08:09 2008 for Palm API Guide